### Function

# Gtk param_spec_expression

since: 4.0

#### Declaration [src]

    GParamSpec*
    gtk_param_spec_expression (
      const char* name,
      const char* nick,
      const char* blurb,
      GParamFlags flags
    )

#### Description [src]

Creates a new `GParamSpec` instance for a property holding a `GtkExpression`.

See `g_param_spec_internal()` for details on the property strings.

Available since: 4.0

#### Parameters

`name`

  Type: `const char*`

  Canonical name of the property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const char*`

  A user-readable name for the property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const char*`

  A user-readable description of the property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GParamFlags`

  Flags for the property.

#### Return value

Type: `GParamSpec`

A newly created property specification.

The caller of the function takes ownership of the data, and is responsible for freeing it.